#include "xfximpacttable.h"

XFxImpactTable::XFxImpactTable()
    : XAsset()
    , mNamePtr(0)
    , mName("")
    , mTablePtr(0)
    , mTable()
{
    SetType(ASSET_TYPE_IMPACT_FX);
    SetName("Impact Table");
}

XFxImpactTable::~XFxImpactTable()
{
    
}

void XFxImpactTable::Clear()
{
    mNamePtr = 0;
    mName = "";
    mTablePtr = 0;
    mTable = QVector<XFxImpactEntry>();
}

void XFxImpactTable::ParseData(QDataStream *aStream)
{
    
}
